# <img width=30px height=30px style='margin-right: 10px; margin-bottom: -3px;' src="https://seeklogo.com/images/P/python-logo-A32636CAA3-seeklogo.com.png"> Python Topical Unit (Under Construction)
**Note: This module is not applicable if you have taken CS128 at Earlham**

Python is a widely-used, interpreted, object-oriented, high level programming language. It is very popular, particularly among domain scientists such as biologists. This language unit is designed for people that have not taken CS128 at Earlham. If you are in a major other than CS, or have previous programming experience in a language other than Python, this module might be perfect for you.

## Resources (and additional READMEs)
- [Using Jupyterhub README](JUPYTER.md)
- [Python Basics README](BASICS.md)
- [Codingbat Python Practice](https://codingbat.com/python)
- Using a terminal (Running python option 1)

## Learning Goals
- Basic understanding of python assuming a very light programming background, or none at all.
  - Folks outside CS (Physics, Math, Chem, Bio).
  - This + AP can replace CS128.

## Deliverables
- Write a helloWorld script in python. It should contain a single function called `helloWorld()` that prints the string "Hello World!".





## Notes / Ideas
- Using a notebook (ipynb)
  - jupyter.cs.earlham.edu
  - should prep for the data analysis module
  - lab 1-4 of 128
- Using python on the command line (py)
  - short introduction. Start by pasting code from a notebook into a .py file